automation:
  - id: publish_fridge_temps_drinks_fridge
    alias: publish_fridge_temps_drinks_fridge
    trigger:
      - platform: state
        entity_id: sensor.drinks_fridge_environment_lcd_btt01_temperature
        not_to:
          - "unavailable"
          - "unknown"
    action:
      - service: mqtt.publish
        data:
          topic: "viewroad-status/fridges/drinks-fridge"
          payload: "{{ trigger.to_state.state }}"
    mode: single

  - id: publish_freezer_temps_drinks_fridge
    alias: pub_freezer_temps_drinks_fridge
    trigger:
      - platform: state
        entity_id: sensor.drinks_freezer_environment_lcd_btt02_temperature
        not_to:
          - "unavailable"
          - "unknown"
    action:
      - service: mqtt.publish
        data:
          topic: "viewroad-status/fridges/drinks-freezer"
          payload: "{{ trigger.to_state.state }}"
    mode: single

  - id: publish_main_kitchen_fridge_temp_zth08
    alias: publish_main_kitchen_fridge_temp_zth08
    trigger:
      - platform: state
        entity_id: sensor.main_kitchen_fridge_temp_zth08
        not_to:
          - "unavailable"
          - "unknown"
    action:
      - service: mqtt.publish
        data:
          topic: "viewroad-status/fridges/mainkitchen_fridge"
          payload: "{{ trigger.to_state.state }}"
    mode: single
